"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isCircleTransferDetails = exports.serializeCircleMessage = exports.deserializeCircleMessage = void 0;
const sdk_base_1 = require("@wormhole-foundation/sdk-base");
require("../payloads/automaticCircleBridge");
const circleBridge_1 = require("../payloads/circleBridge");
const utils_1 = require("../utils");
const deserializeCircleMessage = (data) => {
    const msg = (0, sdk_base_1.deserializeLayout)(circleBridge_1.circleMessageLayout, data);
    const messsageHash = sdk_base_1.encoding.hex.encode((0, utils_1.keccak256)(data), true);
    return [msg, messsageHash];
};
exports.deserializeCircleMessage = deserializeCircleMessage;
const serializeCircleMessage = (msg) => {
    return (0, sdk_base_1.serializeLayout)(circleBridge_1.circleMessageLayout, msg);
};
exports.serializeCircleMessage = serializeCircleMessage;
function isCircleTransferDetails(thing) {
    return (thing.amount !== undefined &&
        thing.from !== undefined &&
        thing.to !== undefined);
}
exports.isCircleTransferDetails = isCircleTransferDetails;
//# sourceMappingURL=cctp.js.map